<form
  class="task-item__container"
  [formGroup]="checkForm"
  (ngSubmit)="onSubmit()"
>
  <div class="task-item__container__form">
    <div class="task-item__container__form__info">
      <input
        class="task-item__container__form__info__input"
        type="checkbox"
        [checked]="task.completed"
        formControlName="completed"
        (change)="onSubmit()"
      />
      <span>{{ task.title }}</span>
    </div>
    <div class="task-item__container__actions">
      <button type="submit" (click)="deleteTask(task.id)">
        <i
          class="fa-solid fa-trash-can task-item__container__actions__icon-delete"
        ></i>
      </button>
      <button type="button" (click)="openUpdateDialog()">
        <i
          class="fa-solid fa-pen-to-square task-item__container__actions__icon-info"
        ></i>
      </button>
    </div>
  </div>
</form>

<app-task-dialog [task]="task"></app-task-dialog>
